GET /rest/rosters/{roster}/fairness — burden distribution of the
roster's unit over the rolling fairness window ending at the roster
period end (the planner sees the load accumulated up to this plan)
curl --request GET \
--url https://{tenant}.stamp.eu/rest/rosters/{roster}/fairness \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.stamp.eu/rest/rosters/{roster}/fairness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.stamp.eu/rest/rosters/{roster}/fairness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"employee_id": "<string>",
"employee_name": "<string>",
"weekend": "<string>",
"night": "<string>",
"holiday": "<string>",
"unpopular": "<string>",
"unpopular_weight": "<string>",
"burden_score": "<string>",
"declination_count_12m": "<string>",
"total_shifts": "<string>",
"total_planned_ms": "<string>",
"total_planned": "<string>"
}
],
"meta": {
"window_start": "<string>",
"window_end": "<string>",
"window_weeks": 123,
"fairness_index": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}Dienstplan
Lastverteilung im Dienstplan
GET
/
rosters
/
{roster}
/
fairness
GET /rest/rosters/{roster}/fairness — burden distribution of the
roster's unit over the rolling fairness window ending at the roster
period end (the planner sees the load accumulated up to this plan)
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The roster ID
⌘I